<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__rtc__dst__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_rtc_dst_t</compoundname>
    <includes local="no">cyhal_rtc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__rtc__dst__t_1a1811ad3e83ce0a73c208b42a42d33693" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__rtc_1ga70f0bde8db19e6aacbbd72afc1fa3f9f">cyhal_rtc_dst_format_t</ref></type>
        <definition>cyhal_rtc_dst_format_t cyhal_rtc_dst_t::format</definition>
        <argsstring />
        <name>format</name>
        <briefdescription>
<para>DST format. </para>        </briefdescription>
        <detaileddescription>
<para>See /ref cyhal_rtc_dst_format_t. Based on this value other structure elements should be filled or could be ignored </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="119" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="119" />
      </memberdef>
      <memberdef id="structcyhal__rtc__dst__t_1a5270b5844693af6788a0a5da60ead51c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_rtc_dst_t::hour</definition>
        <argsstring />
        <name>hour</name>
        <briefdescription>
<para>Hour in 24hour format, range[0-23]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="122" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="122" />
      </memberdef>
      <memberdef id="structcyhal__rtc__dst__t_1a0b934517c7b4ad13826cb9342e37705e" kind="variable" mutable="no" prot="public" static="no">
        <type>union cyhal_rtc_dst_t::@9</type>
        <definition>union cyhal_rtc_dst_t::@9 cyhal_rtc_dst_t::@10</definition>
        <argsstring />
        <name>@10</name>
        <briefdescription>
<para>Anonymous union for the day as either a specific day (dayOfMonth) or as a week number (weekOfMonth) plus day of week (dayOfWeek) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="132" />
      </memberdef>
      <memberdef id="structcyhal__rtc__dst__t_1a7063f23fa8e30374c3c6593d272dc99f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_rtc_dst_t::month</definition>
        <argsstring />
        <name>month</name>
        <briefdescription>
<para>Month value, range[1-12]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="133" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="133" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Day Light Savings Time (DST) structure for setting when to apply. </para>    </briefdescription>
    <detaileddescription>
<para>It allows to set the DST time and date using a fixed or relative time format. </para>    </detaileddescription>
    <location bodyend="134" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" bodystart="117" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_rtc.h" line="118" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__rtc__dst__t_1a1811ad3e83ce0a73c208b42a42d33693" virt="non-virtual"><scope>cyhal_rtc_dst_t</scope><name>format</name></member>
      <member prot="public" refid="structcyhal__rtc__dst__t_1a5270b5844693af6788a0a5da60ead51c" virt="non-virtual"><scope>cyhal_rtc_dst_t</scope><name>hour</name></member>
      <member prot="public" refid="structcyhal__rtc__dst__t_1a7063f23fa8e30374c3c6593d272dc99f" virt="non-virtual"><scope>cyhal_rtc_dst_t</scope><name>month</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>